/* Imported API files */
#include <vnet/interface_types.api_tojson.h>
#include <vnet/ip/ip_types.api_tojson.h>
#ifndef included_lldp_api_tojson_h
#define included_lldp_api_tojson_h
#include <vppinfra/cJSON.h>

#include <vppinfra/jsonformat.h>

static inline cJSON *vl_api_lldp_config_t_tojson (vl_api_lldp_config_t *a) {
    cJSON *o = cJSON_CreateObject();
    cJSON_AddStringToObject(o, "_msgname", "lldp_config");
    cJSON_AddStringToObject(o, "_crc", "c14445df");
    cJSON_AddNumberToObject(o, "tx_hold", a->tx_hold);
    cJSON_AddNumberToObject(o, "tx_interval", a->tx_interval);
    vl_api_string_cJSON_AddToObject(o, "system_name", &a->system_name);
    return o;
}
static inline cJSON *vl_api_lldp_config_reply_t_tojson (vl_api_lldp_config_reply_t *a) {
    cJSON *o = cJSON_CreateObject();
    cJSON_AddStringToObject(o, "_msgname", "lldp_config_reply");
    cJSON_AddStringToObject(o, "_crc", "e8d4e804");
    cJSON_AddNumberToObject(o, "retval", a->retval);
    return o;
}
static inline cJSON *vl_api_sw_interface_set_lldp_t_tojson (vl_api_sw_interface_set_lldp_t *a) {
    cJSON *o = cJSON_CreateObject();
    cJSON_AddStringToObject(o, "_msgname", "sw_interface_set_lldp");
    cJSON_AddStringToObject(o, "_crc", "57afbcd4");
    cJSON_AddNumberToObject(o, "sw_if_index", a->sw_if_index);
    cJSON_AddItemToObject(o, "mgmt_ip4", vl_api_ip4_address_t_tojson(&a->mgmt_ip4));
    cJSON_AddItemToObject(o, "mgmt_ip6", vl_api_ip6_address_t_tojson(&a->mgmt_ip6));
    {
    u8 *s = format(0, "0x%U", format_hex_bytes, &a->mgmt_oid, 128);
    cJSON_AddStringToObject(o, "mgmt_oid", (char *)s);
    vec_free(s);
    }
    cJSON_AddBoolToObject(o, "enable", a->enable);
    vl_api_string_cJSON_AddToObject(o, "port_desc", &a->port_desc);
    return o;
}
static inline cJSON *vl_api_sw_interface_set_lldp_reply_t_tojson (vl_api_sw_interface_set_lldp_reply_t *a) {
    cJSON *o = cJSON_CreateObject();
    cJSON_AddStringToObject(o, "_msgname", "sw_interface_set_lldp_reply");
    cJSON_AddStringToObject(o, "_crc", "e8d4e804");
    cJSON_AddNumberToObject(o, "retval", a->retval);
    return o;
}
#endif
